Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


adobe dimension installation

New Here ,
Feb 04, 2018 Feb 04, 2018

Copy link to clipboard

Copied

it 's

Operating system require:

Windows 10 Anniversary Update (64-bit) - Version 1607 (build 10.0.14393) or later

my windows specifications is: windows 10, version 1709, os build 16299.192

I wondering why I still could not installed it!!!!

Views

469

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Adobe Employee , Mar 24, 2018 Mar 24, 2018
In our next planned update we are removing system requirements as a blocking factor.  We are testing that version now and you're welcome to join the Dimension CC Prerelease to get early access to that build and try it out.

Likes

Translate

Translate
LEGEND ,
Feb 04, 2018 Feb 04, 2018

Copy link to clipboard

Copied

meiw84718877  wrote

I wondering why I still could not installed it!!!!

because your system doesn't meet one of the other requirments

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Feb 05, 2018 Feb 05, 2018

Copy link to clipboard

Copied

As a note on this topic for anyone else viewing this.  We're aware that this system requirements dialog is not particularly helpful in telling you what is going on.  We're working on improving the dialog to tell you exactly what doesn't meet requirements.

Dimension currently checks:

OS Version

Open GL Version (can update video card drivers to see if this is the issue)

RAM (we require 7GB of available RAM so if you are running other programs check your RAM usage and shut down other RAM intensive programs.  This is a common issue for machines with 8GB of RAM.

VRAM (we require 512 MB of VRAM.  For users with integrated graphics cards VRAM is actually taken out of RAM which can affect your RAM numbers as well.  This number is determined by the OS and can be edited in the registry but this is not something Adobe officially recommends.)

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Employee ,
Mar 24, 2018 Mar 24, 2018

Copy link to clipboard

Copied

LATEST

In our next planned update we are removing system requirements as a blocking factor.  We are testing that version now and you're welcome to join the Dimension CC Prerelease to get early access to that build and try it out.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines